2 Replies Latest reply: Apr 24, 2012 7:51 AM by Allan Jones
haypresto Level 1 Level 1 (0 points)

i am trying to update my ibook 10.4.11so i tryed leopard but it said i needed  10.5 anyone know where i can get this from or anyother ideas please help


iBook, Mac OS X (10.4.11)